[Logcheck-commits] CVS logcheck/debian

CVS User maks-guest logcheck-devel@lists.alioth.debian.org
Sat, 30 Apr 2005 06:53:24 +0000


Update of /cvsroot/logcheck/logcheck/debian
In directory haydn:/tmp/cvs-serv16004/debian

Modified Files:
	changelog logcheck.postinst 
Log Message:

new logcheck rule files since 1.2.34 didn't get the logcheck group
permissions, so weren't included in the logcheck-database set.
i was wondering why some events didn't shut up after an upgrade,
where i knew that i had put the relevant rules into.

please let 1.2.39 go into sarge, and push that soon afterwards todd
for doublecheck:
find /etc/logcheck -gid 0 -exec ls -l {} \;
we could use a similar command if we prefer:
find /etc/logcheck -gid 0 -exec chgrp logcheck {} \;
but the one in the postinst is fine.


--- /cvsroot/logcheck/logcheck/debian/changelog	2005/04/28 16:16:46	1.409
+++ /cvsroot/logcheck/logcheck/debian/changelog	2005/04/30 06:53:23	1.410
@@ -18,6 +18,7 @@
   * Added dot to username match in scponly rule.
   * Match more strictly ipv4 address in dhcpd + dhclient rules.
   * Add to ignore.d.server/dhcpd initial udhcpd lines. (Closes: #306388)
+  * Set group ownership on install and on upgrade to catch new rule files.
 
  -- 
 
--- /cvsroot/logcheck/logcheck/debian/logcheck.postinst	2005/04/19 15:54:49	1.35
+++ /cvsroot/logcheck/logcheck/debian/logcheck.postinst	2005/04/30 06:53:24	1.36
@@ -1,6 +1,6 @@
 #!/bin/sh
 
-# $Id: logcheck.postinst,v 1.35 2005/04/19 15:54:49 ttroxell Exp $
+# $Id: logcheck.postinst,v 1.36 2005/04/30 06:53:24 maks-guest Exp $
 
 set -e
 
@@ -62,11 +62,13 @@
           chown -R logcheck:logcheck /var/lock/logcheck || true
         fi
 
+	# need to be done on install and on upgrade for new rule files
+	chgrp -R logcheck /etc/logcheck || true
+
 	# This gets executed even if there is no $2.
 	if dpkg --compare-versions "$2" lt "1.2.34"; then
     	  # Fix Permissions
     	  chown -R logcheck:logcheck /var/lib/logcheck  || true
-          chgrp -R logcheck /etc/logcheck || true
           chmod 2750 /etc/logcheck/ignore.d.paranoid || true
           chmod 2750 /etc/logcheck/ignore.d.workstation || true
           chmod 2750 /etc/logcheck/ignore.d.server || true